
Foreman - Feature #16032

Maintain physical copy of provisioning scripts for version control

08/09/2016 12:51 PM - Jeff Sparrow

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, I do not see of a way to maintain the provisioning scripts in a VCS.  It would be nice if there was a physical copy of the

script in the foreman instance, so that directory and corresponding files, could be used with git an version control.

History

#1 - 08/10/2016 03:08 AM - Dominic Cleal

- Category changed from Unattended installations to Templates

The foreman_templates plugin can also sync from a git repository into Foreman.

#2 - 08/10/2016 12:11 PM - Jeff Sparrow

Dominic Cleal wrote:

The foreman_templates plugin can also sync from a git repository into Foreman.

 Beautiful.  Thanks.

https://github.com/theforeman/foreman_templates
